CachingStatementProvider (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.store.jdbc.adapter.CachingStatementProvider class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.store.jdbc.adapter
Class CachingStatementProvider

    java.lang.Object
      org.codehaus.activemq.store.jdbc.adapter.CachingStatementProvider

All Implemented Interfaces:
  StatementProvider

public class CachingStatementProvider
extends Object
implements StatementProvider

A StatementProvider filter that caches the responses of the filtered StatementProvider.

Version:
  $Revision: 1.3 $

Constructor Summary
`CachingStatementProvider(StatementProvider statementProvider)`

Method Summary
`String` | `getAddMessageStatment()`
`String` | `getAddXidStatment()`
`String` | `getCreateDurableSubStatment()`
`String[]` | `getCreateSchemaStatments()`
`String[]` | `getDropSchemaStatments()`
`String` | `getFindAllDurableSubMessagesStatment()`
`String` | `getFindAllMessagesStatment()`
`String` | `getFindAllTxStatment()`
`String` | `getFindAllXidStatment()`
`String` | `getFindDurableSubStatment()`
`String` | `getFindLastSequenceId()`
`String` | `getFindMessageSequenceIdStatment()`
`String` | `getFindMessageStatment()`
`String` | `getFindXidStatment()`
`StatementProvider` | `getNext()`
`String` | `getRemoveMessageStatment()`
`String` | `getRemoveXidStatment()`
`String` | `getUpdateDurableSubStatment()`
`String` | `getUpdateLastAckOfDurableSub()`
`String` | `getUpdateMessageStatment()`
`String` | `getUpdateXidStatment()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachingStatementProvider

    public CachingStatementProvider(StatementProvider statementProvider)

Parameters:
  `statementProvider` -

Method Detail

### getNext

    public StatementProvider getNext()

### getAddMessageStatment

    public String getAddMessageStatment()

  Specified by:
    `getAddMessageStatment` in interface `StatementProvider`
  Returns:

### getAddXidStatment

    public String getAddXidStatment()

  Specified by:
    `getAddXidStatment` in interface `StatementProvider`
  Returns:

### getCreateSchemaStatments

    public String[] getCreateSchemaStatments()

  Specified by:
    `getCreateSchemaStatments` in interface `StatementProvider`
  Returns:

### getDropSchemaStatments

    public String[] getDropSchemaStatments()

  Specified by:
    `getDropSchemaStatments` in interface `StatementProvider`
  Returns:

### getFindAllMessagesStatment

    public String getFindAllMessagesStatment()

  Specified by:
    `getFindAllMessagesStatment` in interface `StatementProvider`
  Returns:

### getFindAllTxStatment

    public String getFindAllTxStatment()

  Specified by:
    `getFindAllTxStatment` in interface `StatementProvider`
  Returns:

### getFindAllXidStatment

    public String getFindAllXidStatment()

  Specified by:
    `getFindAllXidStatment` in interface `StatementProvider`
  Returns:

### getFindLastSequenceId

    public String getFindLastSequenceId()

  Specified by:
    `getFindLastSequenceId` in interface `StatementProvider`
  Returns:

### getFindMessageStatment

    public String getFindMessageStatment()

  Specified by:
    `getFindMessageStatment` in interface `StatementProvider`
  Returns:

### getFindXidStatment

    public String getFindXidStatment()

  Specified by:
    `getFindXidStatment` in interface `StatementProvider`
  Returns:

### getRemoveMessageStatment

    public String getRemoveMessageStatment()

  Specified by:
    `getRemoveMessageStatment` in interface `StatementProvider`
  Returns:

### getRemoveXidStatment

    public String getRemoveXidStatment()

  Specified by:
    `getRemoveXidStatment` in interface `StatementProvider`
  Returns:

### getUpdateMessageStatment

    public String getUpdateMessageStatment()

  Specified by:
    `getUpdateMessageStatment` in interface `StatementProvider`
  Returns:

### getUpdateXidStatment

    public String getUpdateXidStatment()

  Specified by:
    `getUpdateXidStatment` in interface `StatementProvider`
  Returns:

### getCreateDurableSubStatment

    public String getCreateDurableSubStatment()

  Specified by:
    `getCreateDurableSubStatment` in interface `StatementProvider`
  See Also:
    `StatementProvider.getCreateDurableSubStatment()`

### getUpdateDurableSubStatment

    public String getUpdateDurableSubStatment()

  Specified by:
    `getUpdateDurableSubStatment` in interface `StatementProvider`
  See Also:
    `StatementProvider.getUpdateDurableSubStatment()`

### getFindDurableSubStatment

    public String getFindDurableSubStatment()

  Specified by:
    `getFindDurableSubStatment` in interface `StatementProvider`
  See Also:
    `StatementProvider.getFindDurableSubStatment()`

### getFindAllDurableSubMessagesStatment

    public String getFindAllDurableSubMessagesStatment()

  Specified by:
    `getFindAllDurableSubMessagesStatment` in interface `StatementProvider`
  Returns:

### getUpdateLastAckOfDurableSub

    public String getUpdateLastAckOfDurableSub()

  Specified by:
    `getUpdateLastAckOfDurableSub` in interface `StatementProvider`
  Returns:

### getFindMessageSequenceIdStatment

    public String getFindMessageSequenceIdStatment()

  Specified by:
    `getFindMessageSequenceIdStatment` in interface `StatementProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.